Subject: bug#25852: Users not updating their installations of Guix

From: myglc2 <[email-masked]>
Date: Wed, 10 May 2017 10:13:49 -0400

On 05/10/2017 at 15:12 Ludovic Courtès writes:

> Hi there,
>
> Mark H Weaver <[email-masked]> skribis:
>
>> [email-masked] (Ludovic Courtès) writes:
>>
>>> Mark H Weaver <[email-masked]> skribis:
>>>
>>>> We could simply issue a warning if the version of guix currently in use
>>>> is more than N hours old, on the assumption that after N hours it's
>>>> likely to be stale.  The default value of N might be in the range 48-96
>>>> (2-4 days).  A quick perusal through the recent commit log on our master
>>>> branch indicates that it's quite rare for 4 days to pass without a
>>>> security update.
>>>>
>>>> What do you think?
>>>
>>> That sounds like an easy and reasonable approach.
>>>
>>> I wonder what would be the best place to emit this warning.  Upon ‘guix
>>> package -i’ maybe?
>>
>> Also "guix package -u" and the "guix system" commands that build
>> systems.  I suspect that many users run "guix pull" as their normal
>> users but never think to run it as root.
>
> If there are no objections, I’ll push the attached patch.  It sets a
> default value of 7 days (which I think is already more aggressive that
> what many are doing), which can be overridden with
> GUIX_DISTRO_AGE_WARNING.
>
> Ludo’.

How about extending this ... 

> +      (warning (G_ "Your Guix installation is getting old.  Consider
> +running 'guix pull' followed by '~a' to get up-to-date
> +packages and security updates.\n")

... to inform the user how old the installation is?